package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;
@Data
@TableName("contact_information")
public class ContactInformationVO {

    private Integer id;
    /**
     * 公司ID
     */
    private String companyId;
    /**
     * 联系人名称
     */
    private String contactName;
    /**
     * 联系人邮箱
     */
    private String contactEmail;
    /**
     * 联系人电话
     */
    private String contactPhone;
    /**
     * 联系人微信
     */
    private String contactWechat;
    /**
     * 联系人职位
     */
    private String contactPosition;
    /**
     * 备注
     */
    private String contactRemark;
    /**
     * 附件名称
     */
    private String contactFileName;

    private Integer fileId;
    /**
     * 附件路径
     */
    private String contactFilePath;

    private Integer creatorId;

    private String createTime;

    private Integer updaterId;

    private String updateTime;

    private Integer isvalid;

    private Integer openStatus;
}